
QGIS Application - Bug report #14385

QGIS 2.14 SVG in Map Composer

2016-02-26 07:20 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22366

Description

It appears many of the SVG's are either displaying as white or aren't rendering (they are an X) under Picture -> Image Source. I'm running

xubuntu 15.10. Image location /usr/share/qgis/svg

Related issues:

Related to QGIS Application - Feature request # 10542: Allow Color change of ... Closed 2014-06-11

Associated revisions

Revision 94e7720f - 2016-03-07 10:14 PM - Nyall Dawson

Use SVG cache to handle parameterized SVG files in composer picture

selection widget (fix #14385)

Revision 95426537 - 2016-03-20 06:55 PM - Nyall Dawson

Use SVG cache to handle parameterized SVG files in composer picture

selection widget (fix #14385)

(cherry-picked from 94e7720fe365794be5ea09564f0bc65577a5e068)

History

#1 - 2016-03-03 06:24 PM - Randal Hale

- Target version changed from Version 2.14 to Future Release - High Priority

#2 - 2016-03-04 08:08 AM - Alexandre Neto

I can confirm this in Windows as well.

#3 - 2016-03-07 02:35 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"94e7720fe365794be5ea09564f0bc65577a5e068".
